# Migration configuration for beer comments. No new concepts here.
id: beer_comment
label: Comments on beers
migration_group: beer
source:
  plugin: beer_comment
destination:
  plugin: entity:comment
process:
  pid:
    plugin: migration_lookup
    migration: beer_comment
    source: cid_parent
  entity_id:
    plugin: migration_lookup
    migration: beer_node
    source: bid
  entity_type:
    plugin: default_value
    default_value: node
  field_name:
    plugin: default_value
    default_value: field_comments
  comment_type:
    plugin: default_value
    default_value: node_comments
  subject: subject
  uid:
    plugin: migration_lookup
    migration: beer_user
    source: aid
  name: name
  mail: mail
  status:
    plugin: default_value
    default_value: 1
  'comment_body/value': body
migration_dependencies:
  required:
    - beer_node
    - beer_user
dependencies:
  enforced:
    module:
      - migrate_example
